Bug 833447 - The whole desktop get's unresponsive when writing raw image to SD card (USB2.0 reader 4WORLD)
The whole desktop get's unresponsive when writing raw image to SD card (USB2....
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-19 09:27 EDT by Jaromír Cápík
Modified: 2016-01-31 20:56 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 15:22:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lsusb -v (27.29 KB, text/plain)
2012-06-19 09:27 EDT, Jaromír Cápík
no flags Details
lsusb -t (842 bytes, text/plain)
2012-06-19 09:28 EDT, Jaromír Cápík
no flags Details

  None (edit)
Description Jaromír Cápík 2012-06-19 09:27:14 EDT
Description of problem:
I'm trying to 'xzcat' or 'dd' raw sd card images to my 8GB SDHC (ADATA) via the 4WORLD USB2.0 SD card reader and Fedora get's frozen during the writing (Window manager somehow works, but the applications are frozen/not redrawing. Only hot-unplug of the reader helps. Unplugging the card from the reader doesn't help.

Version-Release number of selected component (if applicable):
3.2.6-3.fc16.x86_64

How reproducible:
always

Actual results:
Frozen state shortly after the command is entered (the time differs)

Expected results:
No frozen states.
Comment 1 Jaromír Cápík 2012-06-19 09:27:58 EDT
Created attachment 592945 [details]
lsusb -v
Comment 2 Jaromír Cápík 2012-06-19 09:28:37 EDT
Created attachment 592946 [details]
lsusb -t
Comment 3 Josh Boyer 2012-06-19 10:17:24 EDT
3.2.6-3 is rather old.  Please try the 3.4.2 kernel update and let us know if it's better.
Comment 4 Jaromír Cápík 2012-06-19 11:48:40 EDT
Hi Josh.

The problem disappeared with 3.3.8-1.fc16.x86_64, but it's possible the issue appears after a while (when unplugged and plugged in several times, etc.). You can close this bug and I'll reopen if I experience the same again.

Thanks.

Regards,
Jaromir.

Note You need to log in before you can comment on or make changes to this bug.